#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/cursorfont.h>
#include <X11/Xatom.h>

#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/Cardinals.h>

#ifndef BUFSIZ 
#define BUFSIZ 2048
#endif


extern struct _app_resources {
    Boolean enableBackups;
    char *backupNamePrefix;
    char *backupNameSuffix;
} app_resources;

typedef enum {NO_READ, READ_OK, WRITE_OK} FileAccess;

/*	externals in xedit.c 	*/

extern void Feep();

/*	externals in util.c 	*/

extern void   XeditPrintf(char* buf);
extern Widget MakeCommandButton();
extern Widget MakeStringBox();
extern String GetString();
extern FileAccess MaybeCreateFile(), CheckFilePermissions();

/*	externs in commands.c 	*/

extern void DoQuit();
extern void DoSave();
extern void DoLoad();

extern void mainxedit( Widget top)        ;

extern int xedit_newfile(char * filename)          ;
